Subject: Re: New issue: 6.1.1 too vague about parsing requirements

From: Mark Nottingham <[email-masked]>
Date: Tue, 24 Apr 2007 17:28:49 +1000

Now issue 57;
   http://www.w3.org/Protocols/HTTP/1.1/rfc2616bis/issues/#i57

On 11/01/2007, at 8:43 PM, Henrik Nordstrom wrote:

> 6.1.1 Status Code and Reason Phrase
>
> is apparently a bit too vague about how applications should parse and
> process the information, making some implementations parse the reason
> phrase (probably exact matches on the complete status line, not just
> status code) to determine the outcome.
>
> There should be a SHOULD requirement or equivalent that  
> applications use
> the status code to determine the status of the response and only  
> process
> the Reason Phrase as a comment intended for humans.
>
> It's true that later in the same section there is a reverse MAY
> requirement implying this by saying that the phrases in the rfc is  
> just
> an example and may be replaced without affecting the protocol, but
> apparently it's not sufficient for implementers to understand that
> applications should not decide the outcome based on the reason phrase.
>
> I propose rewording the last sentence of the first paragraph "The  
> client
> is not required to examine or display the Reason-Phrase." into  
> something
> like
>
>   The client MAY present the Reason Phrase to the user and
>   SHOULD NOT examine the Reason Phrase for other purposes.
>
> or perhaps
>
>   The client SHOULD NOT examine the Reason Phrase for other
>   purposes than displaying it to the user.
>
> Regards
> Henrik
>

--
Mark Nottingham     http://www.mnot.net/